package casacore-data-tai-utc 1.2 failed to install/upgrade: installed casacore-data-tai-utc package post-installation script subprocess returned error exit status 1

Bug #1807661 reported by Tomasz Kazimierczak on 2018-12-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
casacore-data-tai-utc (Ubuntu)
Undecided
Unassigned

Bug Description

Possibly related to #1713153 and/or #1735616.

ProblemType: Package
DistroRelease: Ubuntu 18.10
Package: casacore-data-tai-utc 1.2
ProcVersionSignature: Ubuntu 4.18.0-12.13-generic 4.18.17
Uname: Linux 4.18.0-12-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.10-0ubuntu13.1
Architecture: amd64
Date: Mon Dec 10 07:48:40 2018
ErrorMessage: installed casacore-data-tai-utc package post-installation script subprocess returned error exit status 1
InstallationDate: Installed on 2016-07-16 (876 days ago)
InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Release amd64 (20160421)
PackageArchitecture: all
Python3Details: /usr/bin/python3.6, Python 3.6.7, python3-minimal, 3.6.7-1~18.10
PythonDetails: /usr/bin/python2.7, Python 2.7.15+, python-minimal, 2.7.15-3
RelatedPackageVersions:
 dpkg 1.19.0.5ubuntu5
 apt 1.7.0
SourcePackage: casacore-data-tai-utc
Title: package casacore-data-tai-utc 1.2 failed to install/upgrade: installed casacore-data-tai-utc package post-installation script subprocess returned error exit status 1
UpgradeStatus: Upgraded to cosmic on 2018-12-10 (0 days ago)

Ole Streicher (olebole) wrote :

That is an incompatibility between numpy and casacore. Please make sure that they are compiled against the same API version. From the terminal log:

RuntimeError: module compiled against API version 0xc but this version of numpy is 0xb
Traceback (most recent call last):
  File "/usr/bin/casacore-update-tai_utc", line 84, in <module>
    with tables.table(args.output_path) as tbl:
  File "/usr/lib/python3/dist-packages/casacore/tables/table.py", line 363, in __init__
    Table.__init__(self, tabname, lockopt, opt)
ImportError: numpy.core.multiarray failed to import
dpkg: błąd przetwarzania pakietu casacore-data-tai-utc (--configure):
 installed casacore-data-tai-utc package post-installation script subprocess returned error exit status 1

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers